<?php

namespace AustraliaPost\Extensions\Business\Endpoints;

class Get_Orders_Endpoint extends Abstract_Endpoint {

	/**
	 * @param array $data
	 *
	 * @return array|void
	 */
	public function callback( $data )
	{
		$orders = $this->get_orders();
		return array_map('unserialize', $orders);
	}

	/**
	 * @return string
	 */
	public function action()
	{
		return 'get_orders';
	}

	private function get_orders()
	{
		global $wpdb;
		$key = Create_Order_From_Shipments_Endpoint::OPTION_KEY_ORDER . 'order-%';
		$orders = $wpdb->get_col(
			$wpdb->prepare("SELECT option_value FROM {$wpdb->prefix}options WHERE option_name LIKE %s ORDER BY option_id DESC", [$key])
		);
		return $orders;
	}
}
